Bug 1012591 - RBAC: Scoped properties - buttons visible for roles without permissions
RBAC: Scoped properties - buttons visible for roles without permissions
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: ER4
: EAP 6.2.0
Assigned To: Heiko Braun
Jakub Cechacek
Russell Dickenson
:
Depends On:
Blocks: 1014047
  Show dependency treegraph
 
Reported: 2013-09-26 13:08 EDT by Jakub Cechacek
Modified: 2013-12-15 11:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:16:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-233 Major Resolved Scoped properties - buttons visible for roles without permissions 2013-11-21 17:48:16 EST

  None (edit)
Description Jakub Cechacek 2013-09-26 13:08:58 EDT
Add / remove buttons are visible for some roles which actually don't have the permission to create / remove System properties scoped to Group / Host / Server. 

Example - maintainer role scoped to main server group + Serve / Group scoped system properties
Comment 1 Jakub Cechacek 2013-09-27 03:59:45 EDT
User without permission can also try to create the role, however the operation will fail on server side.
Comment 2 JBoss JIRA Server 2013-10-01 05:35:47 EDT
Heiko Braun <ike.braun@googlemail.com> updated the status of jira HAL-233 to Resolved
Comment 3 Vladimir Dosoudil 2013-10-01 08:07:20 EDT
Moving back to ASSIGNED (https://docspace.corp.redhat.com/docs/DOC-154626).
There's no PR to eap 6.x github repo https://github.com/jbossas/jboss-eap/
Comment 4 Vladimir Dosoudil 2013-10-01 08:49:01 EDT
The umbrella issue 1014047 is available now.
Comment 8 Jakub Cechacek 2013-10-09 03:59:55 EDT
Verified 6.2.0.ER5

Note You need to log in before you can comment on or make changes to this bug.